## org.omg.CORBA
Class ValueDefPOA

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.CORBA.ValueDefPOA

All Implemented Interfaces:
  ContainedOperations, ContainerOperations, IDLTypeOperations, InvokeHandler, IRObjectOperations, ValueDefOperations

Direct Known Subclasses:
  ValueDefPOATie

public abstract class ValueDefPOA
extends Servant
implements ValueDefOperations, InvokeHandler

A ValueDef object represents a value definition.

Constructor Summary
`ValueDefPOA()`

Method Summary
`java.lang.String[]` `_all_interfaces(POA poa, byte[] objectId)`
`OutputStream` `_invoke(java.lang.String opName, InputStream _is, ResponseHandler handler)`
`ValueDef` `_this()`
`ValueDef` `_this(ORB orb)`

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.ValueDefOperations
`abstract_base_values, abstract_base_values, base_value, base_value, create_attribute, create_operation, create_value_member, describe_value, initializers, initializers, is_a, is_abstract, is_abstract, is_custom, is_custom, is_truncatable, is_truncatable, supported_interfaces, supported_interfaces`

Methods inherited from interface org.omg.CORBA.ContainerOperations
`contents, create_abstract_interface, create_alias, create_constant, create_enum, create_exception, create_interface, create_local_interface, create_module, create_native, create_struct, create_union, create_value_box, create_value, describe_contents, lookup_name, lookup`

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Methods inherited from interface org.omg.CORBA.ContainedOperations
`absolute_name, containing_repository, defined_in, describe, id, id, move, name, name, version, version`

Methods inherited from interface org.omg.CORBA.IDLTypeOperations
`type`

Constructor Detail

### ValueDefPOA

    public ValueDefPOA()

Method Detail

### _this

    public ValueDef _this()

### _this

    public ValueDef _this(ORB orb)

### _all_interfaces

    public java.lang.String[] _all_interfaces(POA poa,
                                              byte[] objectId)

  Overrides:
    `_all_interfaces` in class `Servant`

### _invoke

    public final OutputStream _invoke(java.lang.String opName,
                                      InputStream _is,
                                      ResponseHandler handler)

  Specified by:
    `_invoke` in interface `InvokeHandler`